#!/usr/bin/env python
# -*- coding: utf-8 -*-
# SPDX-License-Identifier: LGPL-2.1-only
# Copyright (C) 2004, 2005, 2006, 2007 Andreas Büsching <crunchy@bitkipper.net>
# Copyright 2015-2022 Univention GmbH
# Author: Andreas Büsching  <crunchy@bitkipper.net>

"""
test programm for threads implementation
"""

import mock

import notifier
import notifier.threads as threads


def test_threads():
	my_thread = mock.Mock()
	done_with_it = mock.Mock()
	doing_something_else = mock.Mock()

	notifier.init(notifier.GENERIC)

	# task = threads.Simple('test', notifier.Callback(my_thread, ['hello', 'world']), done_with_it)
	task = threads.Simple('test', notifier.Callback(my_thread, ['hello', 'world']), notifier.Callback(done_with_it, 'another argument'))
	task.run()
	notifier.timer_add(1000, doing_something_else)
	notifier.step()
